#!/bin/bash
if [ -z "$S3_URL" ]; then
    echo "S3_URL is empty"
else
    echo "S3_URL is $S3_URL"
    if [ -n "$AWS_ACCESS_KEY_ID" ]; then
      export AWS_ACCESS_KEY_ID=${AWS_ACCESS_KEY_ID}
      export AWS_SECRET_ACCESS_KEY=${AWS_SECRET_ACCESS_KEY}
    fi
    export AWS_DEFAULT_REGION=${AWS_DEFAULT_REGION}
    aws s3 cp $S3_URL app.jar
    
    export JAVA_MAX_MEM_RATIO=100

    echo "Using JAVA_OPTS = $JAVA_OPTS"

    java $JAVA_OPTIONS $JAVA_OPTS -jar app.jar
fi
